Bug 104886 - Plural form is not used for translatable strings
Summary: Plural form is not used for translatable strings
Status: RESOLVED FIXED
Alias: None
Product: kphotoalbum
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Jesper K. Pedersen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-01 04:19 UTC by Krzysztof Lichota
Modified: 2012-02-13 20:31 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
[PATCH] Fix missing plural forms in i18n calls. (2.10 KB, patch)
2012-02-11 01:08 UTC, Johannes Zarl-Zierl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Krzysztof Lichota 2005-05-01 04:19:52 UTC
Version:           1.0 (using KDE KDE 3.4.0)
Installed from:    SuSE RPMs

In many places strings to translate which depend on number are not translated using plural i18n() call.

Examples:
%1 exact + %2 ranges = %3 images
%1 images
There are <b>%1 files</b> affected
You are about to generate an HTML page for %1 images
Really delete group '%1'?<br>%2 images contains information in that group
%1&nbsp;s

This makes it impossible to translate correctly into some languages.
Comment 1 Johannes Zarl-Zierl 2012-02-11 01:08:05 UTC
Created attachment 68694 [details]
[PATCH] Fix missing plural forms in i18n calls.
Comment 2 Miika Turkia 2012-02-12 15:48:09 UTC
Git commit e4fd0d42a99d63dd48f23f1c67802c213f0e798e by Miika Turkia, on behalf of Johannes Zarl.
Committed on 11/02/2012 at 02:03.
Pushed by mturkia into branch 'master'.

Fix missing plural forms in i18n calls.

M  +3    -3    DB/NewImageFinder.cpp
M  +4    -2    DateBar/DateBarWidget.cpp

http://commits.kde.org/kphotoalbum/e4fd0d42a99d63dd48f23f1c67802c213f0e798e